<form #createNews="ngForm" name="createNews" (ngSubmit)="onFormSubmit()" enctype="multipart/form-data">
  <div class="modal-body">
    <div class="form-row">
      <div class="form-group col-md-6">
        <label for="title">{{'newsCreate.title' | translate}}</label>
        <input
          type="text"
          class="form-control"
          id="title"
          placeholder="{{'newsCreate.title' | translate}}"
          required
          [(ngModel)]="model.title" name="title" #title="ngModel"
        >
        <span class="text-danger"
              [hidden]="title.valid || !title.pristine">{{ 'form.validate-error.title' | translate }}</span>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-md-12">
        <label for="introduction">{{'newsCreate.introduction' | translate}}</label>
        <textarea
          class="form-control"
          id="introduction"
          placeholder="{{'newsCreate.introduction' | translate}}"
          required
          [(ngModel)]="model.introduction" name="introduction" #introduction="ngModel"
        ></textarea>
        <span class="text-danger"
              [hidden]="introduction.valid || !introduction.pristine">{{ 'form.validate-error.introduction' | translate }}</span>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-md-12">
        <label for="description">{{'newsCreate.description' | translate}}</label>
        <textarea
          class="form-control"
          id="description"
          placeholder="{{'newsCreate.description' | translate}}"
          required
          [(ngModel)]="model.description" name="description" #description="ngModel"
        ></textarea>
        <span class="text-danger"
              [hidden]="description.valid || !description.pristine">{{ 'form.validate-error.description-news' | translate }}</span>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-md-6">
        <label for="isMajor">{{'newsCreate.isMajor' | translate}}</label>
        <input
          type="checkbox"
          class="form-control"
          id="isMajor"
          placeholder="{{'newsCreate.isMajor' | translate}}"
          [(ngModel)]="model.isMajor" name="firstName" #isMajor="ngModel"
        >
      </div>
    </div>
    <div class="custom-file col-md-6">
      <input type="file" class="custom-file-input" id="attachment" (change)="handleFileInput(imageInput)" #imageInput>
      <label #file class="custom-file-label" for="attachment">{{ model.image ? model.image :  'form.choose-file' | translate }}</label>
    </div>
    <div id="success"></div>
  </div>

  <div class="modal-footer">
    <button
      type="submit"
      class="btn btn-success"
      [disabled]="!createNews.form.valid"
      (click)="onSubmit()"
    >
      <i class="fa fa-paper-plane mr-1"></i>{{'newsCreate.edit-news-button' | translate}}
    </button>
  </div>
</form>
